use clap::{Arg, Command, ArgMatches};
// use textwrap::{fill, Options};

use crate::commands::clone::CloneArgs;
use crate::global;
use crate::commands;

// fn sized_str<'a>(content: &'a str) -> &'a str {
//     fill(content, Options::new(70).width).as_str();
//         "ok"
// }

pub fn create() -> Command {
    // let remote_desc = sized_str(&format!("The repository to clone from. See the NEXTSYNC URLS section below for more information on specifying repositories."));
    // let depth_desc = sized_str(&format!("Depth of the recursive fetch of object properties. This value should be lower when there are a lot of files per directory and higher when there are a lot of subdirectories with fewer files. (Default: {})", clone::DEPTH));
    Command::new("clone")
        .arg(
            Arg::new("remote")
            .required(true)
            .num_args(1)
            .value_name("REMOTE")
            //.help(_desc)
            )
        .arg(
            Arg::new("depth")
            .short('d')
            .long("depth")
            .required(false)
            .num_args(1)
            //.help(&depth_desc)
            )
        .arg(
            Arg::new("directory")
            .required(false)
            .num_args(1)
            .value_name("DIRECTORY")
            )
        .about("Clone a repository into a new directory")
        .after_help("NEXTSYNC URLS\nThe following syntaxes may be used:\n\t- user@host.xz/path/to/repo\n\t- http[s]://host.xz/apps/files/?dir=/path/to/repo&fileid=111111\n\t- [http[s]://]host.xz/remote.php/dav/files/user/path/to/repo\n")
}

pub fn handler(args: &ArgMatches) {
    if let Some(val) = args.get_one::<String>("directory") {
        global::global::set_dir_path(String::from(val.to_string()));
    }
    if let Some(remote) = args.get_one::<String>("remote") {
        commands::clone::clone(CloneArgs {
            remote: remote.to_string(),
            depth: args.get_one::<String>("depth").cloned(),
        });
    }
}
