use clap::{Arg, Command, ArgMatches};

use crate::global;
use crate::commands;

pub fn create() -> Command {
    Command::new("pull")
        .arg(
            Arg::new("path")
            .required(false)
            .num_args(1)
            .value_name("PATH")
            .help("The path to pull."),
            )
        .about("Fetch and integrate changes from the nextcloud server.")
}

pub fn handler(args: &ArgMatches) {
    if let Some(val) = args.get_one::<String>("path") {
        global::global::set_dir_path(val.to_string());
    }
    commands::pull::pull();
}
