use std::path::{PathBuf, Path};

pub trait IntoPathBuf {
    fn into(self) -> PathBuf;
}

impl IntoPathBuf for PathBuf {
    fn into(self) -> PathBuf {
        self
    }
}

impl IntoPathBuf for &Path {
    fn into(self) -> PathBuf {
        PathBuf::from(self)
    }
}

impl IntoPathBuf for String {
    fn into(self) -> PathBuf {
        PathBuf::from(self)
    }
}

impl IntoPathBuf for &str {
    fn into(self) -> PathBuf {
        PathBuf::from(self)
    }
}

